package com.simuwang.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.simuwang.base.pojo.dos.MailboxInfoDO;
import com.simuwang.base.pojo.vo.MailboxInfoTableVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface MailboxInfoMapper extends BaseMapper<MailboxInfoDO> {

    /**
     * 查询配置邮箱信息
     *
     * @return 配置邮箱信息
     */
    List<MailboxInfoDO> listMailboxInfo();

    List<MailboxInfoTableVO> searchEmailConfigList(String email);

    void deleteEmailConfigByIds(@Param("ids") String[] split);

    MailboxInfoDO checkEmailUnique(@Param("email") String email);
}
